## ldaptor 0.0.43+debian1

=== debian/changelog ===
ldaptor (0.0.43+debian1-7) unstable; urgency=low

  * Fix "FTBFS if built twice in a row: unrepresentable changes to source"
    remove build directory in debian/rules clean (Closes: #671527)
  * Bump-Standards-Version to 3.9.3 (no changes)
  * use symlinks to avoid duplicate files in ldaptor-doc, add
    debian/ldaptor-doc.links

 -- Jan Dittberner <jandd@debian.org>  Tue, 15 May 2012 11:31:51 +0200

ldaptor (0.0.43+debian1-6) unstable; urgency=low

  * debian/control:
    - remove unneeded Breaks: ${python:Breaks}
    - bump Standards-Version to 3.9.2 (no changes needed)
  * remove deprecated webui test in debian/rules (dh_override_auto_clean)
    (Closes: #653869)

 -- Jan Dittberner <jandd@debian.org>  Sat, 31 Dec 2011 20:49:34 +0100

ldaptor (0.0.43+debian1-4) unstable; urgency=low

  * remove broken binary package ldaptor-webui
    - change debian/control and debian/rules
    - add patch debian/patches/remove-webui.patch to stop building of
      ldaptor-webui documentation
    - remove debian/ldaptor-webui.*
  * remove build dependencies python-twisted-web, python-nevow, python-
    webut only required for ldaptor-webui
  * switch from python-support to dh_python2
    - add --with python2 to debian/rules
    - remove python-support build dependency
    - bump python dependency to 2.6.5~
    - change XS-Python-Version to X-Python-Version
    - add Breaks: ${python:Breaks} for Python binary packages
  * bump Standards-Version to 3.9.1
  * don't compress api-objects.txt in debian/rules

 -- Jan Dittberner <jandd@debian.org>  Sun, 13 Feb 2011 17:58:57 +0100

ldaptor (0.0.43+debian1-3) unstable; urgency=low

  [ Jakub Wilk ]
  * Don't hardcode ‘site-packages’ in debian/*.install, debian/rules
    (Closes: #586884). Thanks to Angel Abad for the bug report and the initial
    patch.

  [ Jan Dittberner ]
  * add debian/ldaptor-doc.doc-base.api,
    debian/ldaptor-doc.doc-base.ldap-intro, and
    debian/ldaptor-doc.doc-base.addressbook-slides to register
    documentation with doc-base

 -- Jan Dittberner <jandd@debian.org>  Wed, 23 Jun 2010 20:23:03 +0200

ldaptor (0.0.43+debian1-2) unstable; urgency=low

  * add debian/patches/04_replace_string_exceptions_585240_585298_.patch
    to replace string exceptions by real Exception instances (Closes:
    #585240, #585298)
  * debian/control:
    - bump Standards-Version to 3.8.4 (no changes needed)
    - remove unnecessary Build-Depends python-all-dev
    - add python (>= 2.5.4-1~) to Build-Depends

 -- Jan Dittberner <jandd@debian.org>  Sat, 12 Jun 2010 01:59:44 +0200

ldaptor (0.0.43+debian1-1) unstable; urgency=low

  * repack tarball to remove upstream debian directory (fix lintian warnings
    regarding lacking debhelper tokens in maintainer scripts)
    - remove workarounds from debian/rules
  * switch to source format 3.0 (quilt):
    - debian/control: remove explicit quilt dependency
    - add debian/source/format
    - debian/rules: remove --with quilt
    - change debian/README.source

 -- Jan Dittberner <jandd@debian.org>  Sun, 06 Dec 2009 11:27:37 +0100

ldaptor (0.0.43-4) unstable; urgency=low

  [ Jan Dittberner ]
  * switch from cdbs to debhelper
  * switch from dpatch to quilt
  * replaced debian/patches/00list with debian/patches/series
  * replaced debian/patches/01_restore_pristine_code.dpatch with
    debian/patches/01_restore_pristine_code.patch
  * add debian/patches/02_fix_526522.patch:
    - fixes the reason of the traceback generated by ldaptor-ldap2passwd
      --help (Closes: #526522)
  * add debian/patches/03_fix_dia_invocation_545663.patch:
    - fixes invocation of dia to generate images during doc build in
      headless environments (Closes: #545663)
  * debian/changelog:
    - fix spelling error (fixes lintian warning)
  * debian/README.source:
    - replace dpatch information with quilt information
  * debian/control:
    - change to d.o email address
    - update Standards-Version to 3.8.3 (no changes needed)
    - remove dpatch and cdbs from Build-Depends
    - add quilt to Build-Depends
    - set minimum debhelper version to 7.0.50
    - add python-docutils to Build-Depends-Indep to fix an epydoc warning
  * debian/ldaptor-ldap2passwd.1, debian/ldaptor-find-server.1,
    debian/ldaptor-ldap2dnszones.1, debian/ldaptor-ldap2pdns.1,
    debian/ldaptor-getfreenumber.1, debian/ldaptor-passwd.1,
    debian/ldaptor-namingcontexts.1, debian/ldaptor-search.1,
    debian/ldaptor-ldap2dhcpconf.1, debian/ldaptor-rename.1,
    debian/ldaptor-ldap2maradns.1, debian/ldaptor-fetchschema.1,
    debian/ldaptor-webui.1: update email address
  * debian/rules:
    - remove debian/postinst, debian/prerm and
      debian/python-ldaptor.README.Debian from upstream tarball's debian
      directory
    - use quilt instead of dpatch macros
    - use dh instead of cdbs
  * add debian/global.cfg, debian/ldaptor-doc.docs,
    debian/ldaptor-doc.examples and debian/ldaptor-webui.examples from
    removed upstream debian directory

  [ Sandro Tosi ]
  * debian/control
    - remove me from Uploaders

 -- Jan Dittberner <jandd@debian.org>  Wed, 21 Oct 2009 20:21:51 +0200

ldaptor (0.0.43-3) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/{control, patches/*, README.source, rules}
    - added dpatch, to prevent direct upstream code modification
  * debian/copyright
    - clearly separated license and copyright notices
    - indented upstream author with 4 spaces
    - link to LGPL-2.1 file, instead of the generic LGPL
  * debian/control
    - reformat long descriptions, to better use items lists
    - reformat short descriptions, in particular un-capitalize them
    - bump Standards-Version to 3.8.1
  * debian/pycompat
    - removed since not needed
  * debian/{control, pyversions}
    - removed pyversions, superseded by XS-Python-Version
  * debian/prerm
    - removed since no more needed

  [ Ansgar Burchardt ]
  * debian/control:
    - `python-pyopenssl' has been renamed into `python-openssl'. Update

