=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

-include /usr/share/python/python.mk
ifeq (,$(py_sitename))
  py_sitename = site-packages
  py_libdir = /usr/lib/python$(subst python,,$(1))/site-packages
endif

PYDEFAULT=$(shell pyversions -d)

%:
	dh --with python2 --buildsystem=python_distutils $@

override_dh_install:
	dh_install
	rm -rf \
	  debian/python-ldaptor/usr/lib/python*/*-packages/ldaptor/apps/webui \
	  debian/python-ldaptor/usr/lib/python*/*-packages/ldaptor/test/test_webui.py \
	  debian/ldaptor-utils/usr/bin/ldaptor-webui
	PYTHONPATH=$(CURDIR)/debian/python-ldaptor/$(py_libdir $(PYDEFAULT)) \
	  trial --tbformat=emacs --reporter=text ldaptor

override_dh_auto_build: doc-stamp
doc-stamp:
	make -C doc
	touch $@

override_dh_compress:
	dh_compress -X.py -X.js -Xapi-objects.txt

override_dh_auto_clean:
	find . -type f -name '*.pyc' -delete
	make -C doc clean
	rm -f doc-stamp
	rm -rf _trial_temp
	rm -f ldaptor/test/test_webui.py
	rm -rf build
