## ldaptor 0.0.43-0.3ubuntu1

=== debian/changelog ===
ldaptor (0.0.43-0.3ubuntu1) edgy; urgency=low

  * Merge from Debian unstable.

 -- Steve Kowalik <stevenk@ubuntu.com>  Sat, 26 Aug 2006 21:53:56 +1000

ldaptor (0.0.43-0.2ubuntu2) edgy; urgency=low

  * Forward-port the missed change from 0.0.42ubuntu3 that removes empty
    POT files so that pkgstriptranslations doesn't get upset.

 -- Steve Kowalik <stevenk@ubuntu.com>  Fri, 28 Jul 2006 13:08:01 +1000

ldaptor (0.0.43-0.2ubuntu1) edgy; urgency=low

  * Merge from Debian unstable.
  * Correct ldaptor-webui.install to work with any python version.

 -- Steve Kowalik <stevenk@ubuntu.com>  Tue, 25 Jul 2006 21:35:16 +1000
