=== debian/control ===
Source: ldaptor
Section: admin
Priority: optional
Maintainer: Tommi Virtanen <tv@debian.org>
Standards-Version: 3.6.1
Build-Depends-Indep: docbook-slides (>= 3.2.0), xsltproc, source-highlight, python-epydoc, dia (>= 0.93-2), python-twisted-core , python-twisted-names , python-twisted-mail , python-twisted-web , python-nevow , python-webut, python-pyparsing, python-pyopenssl, python-crypto
Build-Depends: cdbs, debhelper, python-all-dev

Package: ldaptor-utils
Section: admin
Architecture: all
Depends: ${python:Depends}, python-ldaptor
Description: Command-line LDAP utilities
 A set of LDAP utilities for use from the command line, including:
 .
 ldaptor-search -- Search LDAP directories.
 .
 ldaptor-namingcontexts -- Fetch the naming contexts the server supports.
 .
 ldaptor-find-server -- Find the server that serves the wanted DN by
 looking at DNS SRV records.
 .
 ldaptor-passwd -- Change passwords.
 .
 ldaptor-rename -- Change object RDN and DNs.
 .
 ldaptor-ldap2passwd -- Generate passwd(5) format data from LDAP
 accounts.
 .
 ldaptor-getfreenumber -- Do an efficient scan for e.g. next free
 uidNumber.
 .
 ldaptor-ldap2dhcpconf -- Create dhcp.conf based on LDAP host info.
 .
 ldaptor-ldap2dnszones -- Create a DNS zone files based on LDAP host
 info.
 .
 ldaptor-ldap2maradns -- Create a maradns zone file based on LDAP host
 info.
 .
 ldaptor-ldap2pdns -- pdns pipe backend.
 .
 ldaptor-fetchschema -- Fetch schema from a server.
 .
 ldaptor-ldifdiff -- Read two LDIF files and output LDIF modifications
 that modify entries in first file to look like entries in second file.
 .
 ldaptor-ldifpatch -- Read an LDIF file and LDIF modifications and output
 LDIF with the modifications.

Package: ldaptor-webui
Section: admin
Architecture: all
Depends: ${python:Depends}, python-nevow , python-webut, python-ldaptor
Description: Web user interface for editing LDAP directories
 A web-based user interface to search and edit information in an LDAP
 directory.

Package: python-ldaptor
Section: python
Architecture: all
Depends: ${python:Depends}, python-twisted-core (>= 2.2), python-twisted-names (>= 0.2), python-twisted-mail (>= 0.2), python-twisted-web (>= 0.5), python-pyparsing
Replaces: python2.3-ldaptor
Description: Pure-Python library for LDAP
 Ldaptor is a pure-Python library that implements
 .
 - LDAP client logic.
 .
 - separately-accessible LDAP and BER protocol message
 generation/parsing.
 .
 - ASCII-format LDAP filter generation and parsing.
 .
 - LDIF format data generation.
 .
 - Samba password changing logic.
 .
 This is a dummy package that depends on the correct version of
 python-ldaptor for the default version of Python.

Package: ldaptor-doc
Section: doc
Architecture: all
Description: Documentation for Ldaptor
 A collection of documentation about Ldaptor and LDAP, including
 .
 - An introduction to LDAP
 .
 - The Ldaptor library API
 .
 - Slides for a talk "Creating a simple LDAP application"

Package: ldaptor-common
Section: python
Architecture: all
Description: Pure-Python library for LDAP (common files)
 Ldaptor is a pure-Python library that implements
 .
 - LDAP client logic.
 .
 - separately-accessible LDAP and BER protocol message
 generation/parsing.
 .
 - ASCII-format LDAP filter generation and parsing.
 .
 - LDIF format data generation.
 .
 - Samba password changing logic.
 .
 This package contains the common files shared between different
 builds of the library for different Python versions.
