## ldaptor 0.0.43-0.4ubuntu2

=== debian/changelog ===
ldaptor (0.0.43-0.4ubuntu2) feisty; urgency=low

  * Rebuild for python2.5 as the default python version.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Jan 2007 13:21:49 +0000

ldaptor (0.0.43-0.4ubuntu1) feisty; urgency=low

  * Merge from Debian unstable.
  * Remaining Ubuntu changes:
    - Remove empty POT files so that pkgstriptranslations doesn't get 
      upset.
  * Ubuntu changes dropped:
    - Correct ldaptor-webui.install to work with any python version.

 -- Steve Kowalik <stevenk@ubuntu.com>  Sun, 12 Nov 2006 17:40:44 +1100
