=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,9 @@
 $(patsubst %,binary-post-install/%,$(DEB_PYTHON_REAL_LIB_PACKAGES)):: binary-post-install/python-ldaptor:
 	PYTHONPATH='debian/$(cdbs_curpkg)/usr/lib/python$(cdbs_python_ver)/site-packages' \
 		'trial$(cdbs_python_ver)' --tbformat=emacs --reporter=text ldaptor
+
+build/ldaptor-utils::
+	for pot in po/*.pot ; do test -s $$pot || rm -fv $$pot ; done
 
 build/ldaptor-doc::
 	make -C doc
